=== debian/changelog ===
plasma-workspace (4:5.12.3-1) sid; urgency=medium

  * New upstream release (5.12.3).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Mar 2018 19:14:13 +0100

plasma-workspace (4:5.12.2-1) sid; urgency=medium

  * New upstream release (5.12.2).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 Feb 2018 09:47:56 +0100

plasma-workspace (4:5.12.1-1) sid; urgency=medium

  [ Aurélien COUDERC ]
  * Use dash instead of bash for themes postinst as bash is not needed
  * Remove redundant sh -e / set -e in themes prerm

  [ Maximiliano Curia ]
  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:09:06 +0100

plasma-workspace (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Drop qml-module-org-kde-extensionplugin transitional package dependency
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:54 +0100

plasma-workspace (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add libpkgs_addsubst_allLibraries to the build sequence
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Bump group breaks (5.12)
  * Update install files
  * Add new lib package libcolorcorrect5
  * Update install files
  * Drop legacytaskmanager from the acc file
  * Update symbols files.
  * Add symbols for libcolorcorrect
  * Update copyright information
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:21:09 +0100

plasma-workspace (4:5.11.4-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Drop kubuntu_startkde-qtpath.diff, not needed with qtchooser 52-gae5eeef
    and newer which has fallback support for qtpaths.

  [ Maximiliano Curia ]
  * Update changelog for 4:5.10.5-2~ release
  * Release to sid
  * Update changelog for 4:5.10.5-2 release
  * Bump Standards-Version to 4.1.0.
  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Update install files
  * Add runtime dependency to drkonqi
  * Update symbols files
  * Add build dependency kgendesignerplugin
  * Update install files
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:19 -0300

plasma-workspace (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:45 +0200

plasma-workspace (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.4).
    + Fix compilation against newer cmake version
      (052ab380b6cb7f27da19ba0937bc2563b175a19b) (Closes: 871146)
      Thanks to Lucas Nussbaum for the report
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Drop upstream patches
  * Update upstream metadata
  * Bump group breaks (5.10)
  * Refresh patches
  * Add optional libkf5prison-dev build dep
  * Update install files
  * Update symbols files
  * Install all the locale files in plasma-workspace
  * Update patch: add_sddm_debian_breeze.patch
  * New upstream release (5.10.5).
  * Refresh patch
  * Refresh patch
  * Release to experimental

  [ Raymond Wooninck ]
  * Update debian patch
  * Fix install list

  [ Jonathan Riddell ]
  * add gpg keyring
  * plasma-desktop dep on kwin-common for qml modules
  * qmllint
  * update .install
  * new files in plasma-workspace
  * appstream files

  [ Rik Mills ]
  * add b-d on libappstreamqt-dev
  * install appstream runner

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:29:32 +0200

plasma-workspace (4:5.8.7-1) unstable; urgency=medium

  * New upstream release (5.8.7)
      + [Logout Screen] Show suspend button only if supported
        Fixes KDE#376601
      + try harder to make the selected wallpaper visible
        qml gridview don't have an official way to ensure the
        current index is visible when the view is first instantiated,
        the only way we have is to do positionViewAtIndex when we know the
        proper space has already been allocated (Component.onCompleted
        is way too early) we used to do that on onCountChanged, but that
        too seems to early sometimes, as the selected wallpaper
        is visible only sometimes, attaching it to onContentHeightChanged
        seems to be more reliable (for all branches)
      + Ignore NoDisplay=true .desktop entries when matching by Name.
        We currently match Krita by Name. It's classClass is "krita",
        but its DesktopEntryName is org.kde.krita.desktop. However,
        Krita also installs numerous additional .desktop entries to
        associate more file types by itself, all of which match by
        name, and the first one in the list isn't the right one. All
        of those extra .desktop files are NoDisplay=true however, so
        we can filter them out, which brings the match list down to
        the one and only .desktop file we care for.
      + try proper order of corona()->availableScreenRect()
        connect to Plasma::Corona::availableScreenRectChanged
        instead of using kscreen, this way we should be more sure
        that signal is emitted when it's safe to call
        corona()->availableScreenRect() as the change of rect
        may happen after a screen removal, so may mean
        accessing a desktop view while being deleted
        Fixes KDE#377298
      + don't emit availableScreenRectChanged when quitting
        if applets react to it it can cause a crash, because the corona
        may not be valid anymore, and we don't want to relayout
        things anyways when tearing down
      + manage mouse events when out of the window

